Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class SortFilterCompartmentItemsEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.SortFilterCompartmentItemsEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class SortFilterCompartmentItemsEditPolicy
extends AbstractEditPolicy

EditPolicy which provides sorting/filtering for ListCompartmentItems.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`SortFilterCompartmentItemsEditPolicy()`

Method Summary
`Command` `getCommand(Request request)` Opens the sort/filter dialog if there is at least on contribution from a child.
`java.util.Map` `getFilterMap()` Override to provide the filter Map.
`SortFilterPage` `getRootPage()` Returns the root `SortFilterPage` which filters using the `UMLModifiers` as the filtering criteria.
`EditPart` `getTargetEditPart(Request request)`
`boolean` `understandsRequest(Request request)` Returns `true` if the request is a REQ_SORT_FILTER_COMPARTMENT type and the view is resolvable.

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortFilterCompartmentItemsEditPolicy

    public SortFilterCompartmentItemsEditPolicy()

Method Detail

### understandsRequest

    public final boolean understandsRequest(Request request)

  Returns `true` if the request is a REQ_SORT_FILTER_COMPARTMENT type and the view is resolvable.

  Returns:
    `true` if the request is a REQ_SORT_FILTER_COMPARTMENT type and the view is resolvable. and `false` otherwise.

### getCommand

    public Command getCommand(Request request)

  Opens the sort/filter dialog if there is at least on contribution from a child.

  Returns:
    command the `SortFilterCommand`

### getTargetEditPart

    public EditPart getTargetEditPart(Request request)

### getRootPage

    public SortFilterPage getRootPage()

  Returns the root `SortFilterPage` which filters using the `UMLModifiers` as the filtering criteria. Default implementation returns null. Override to add the root page.

  Returns:
    the root `SortFilterPage`

### getFilterMap

    public java.util.Map getFilterMap()

  Override to provide the filter Map. The default is any empty map

  Returns:
    Map

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.